libvisio::VSDEllipticalArcTo Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDEllipticalArcTo Class Reference
Inheritance diagram for libvisio::VSDEllipticalArcTo:

## Public Member Functions
| VSDEllipticalArcTo (unsigned id, unsigned level, const boost::optional< double > &x3, const boost::optional< double > &y3, const boost::optional< double > &x2, const boost::optional< double > &y2, const boost::optional< double > &angle, const boost::optional< double > &ecc)
virtual | ~VSDEllipticalArcTo ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x3
double | m_y3
double | m_x2
double | m_y2
double | m_angle
double | m_ecc

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDEllipticalArcTo::VSDEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x3,
|  | const boost::optional< double > & | y3,
|  | const boost::optional< double > & | x2,
|  | const boost::optional< double > & | y2,
|  | const boost::optional< double > & | angle,
|  | const boost::optional< double > & | ecc
| ) |  |
| inline

virtual libvisio::VSDEllipticalArcTo::~VSDEllipticalArcTo | ( |  | ) |
| inlinevirtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDEllipticalArcTo::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDEllipticalArcTo::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

double libvisio::VSDEllipticalArcTo::m_angle

Referenced by libvisio::VSDGeometryList::addEllipticalArcTo().

double libvisio::VSDEllipticalArcTo::m_ecc

Referenced by libvisio::VSDGeometryList::addEllipticalArcTo().

double libvisio::VSDEllipticalArcTo::m_x2

Referenced by libvisio::VSDGeometryList::addEllipticalArcTo().

double libvisio::VSDEllipticalArcTo::m_x3

Referenced by libvisio::VSDGeometryList::addEllipticalArcTo().

double libvisio::VSDEllipticalArcTo::m_y2

Referenced by libvisio::VSDGeometryList::addEllipticalArcTo().

double libvisio::VSDEllipticalArcTo::m_y3

Referenced by libvisio::VSDGeometryList::addEllipticalArcTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp